org.apache.xerces.impl.xs.assertion

## Class XMLAssertAdapter

- java.lang.Object
- - org.apache.xerces.impl.xs.assertion.XSAssertionXPath2ValueImpl
  - - org.apache.xerces.impl.xs.assertion.XMLAssertAdapter

- All Implemented Interfaces:
    XMLAssertHandler, XSAssertionXPath2Value
  Direct Known Subclasses:
    XMLAssertXPath2EngineImpl

      public class XMLAssertAdapter
      extends XSAssertionXPath2ValueImpl
      implements XMLAssertHandler

  A convenience implementation of the assertions interface. All compliant assertions processors (using a specific XPath 2.0 engine) should extend this class.
  Version:
    $Id: XMLAssertAdapter.java 1198718 2011-11-07 13:02:34Z mukulg $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLAssertAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(org.apache.xerces.xni.XMLString text)`
    `void` | `comment(org.apache.xerces.xni.XMLString text)`
    `void` | `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.Augmentations augs)`
    `java.lang.Object` | `getProperty(java.lang.String name)` Allows the user to retrieve specific properties on the underlying implementation.
    `void` | `processingInstruction(java.lang.String target, org.apache.xerces.xni.XMLString data)`
    `void` | `setProperty(java.lang.String name, java.lang.Object value)` Allows the user to set specific properties on the underlying implementation.
    `void` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`

    - ### Methods inherited from class org.apache.xerces.impl.xs.assertion.XSAssertionXPath2ValueImpl

      `getStringValueOf$value, setXDMTypedValueOf$value, setXDMTypedValueOf$valueForSTVarietyAtomic, setXDMTypedValueOf$valueForSTVarietyList, setXDMTypedValueOf$valueForSTVarietyUnion, setXDMValueOf$valueForCTWithSimpleContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xerces.impl.xs.assertion.XSAssertionXPath2Value

      `getStringValueOf$value, setXDMTypedValueOf$value, setXDMTypedValueOf$valueForSTVarietyAtomic, setXDMTypedValueOf$valueForSTVarietyList, setXDMTypedValueOf$valueForSTVarietyUnion`

- - ### Constructor Detail

    - #### XMLAssertAdapter

          public XMLAssertAdapter()

  - ### Method Detail

    - #### startElement

          public void startElement(org.apache.xerces.xni.QName element,
                          org.apache.xerces.xni.XMLAttributes attributes,
                          org.apache.xerces.xni.Augmentations augs)
                            throws java.lang.Exception

      Specified by:
        `startElement` in interface `XMLAssertHandler`
      Throws:
        `java.lang.Exception`

    - #### endElement

          public void endElement(org.apache.xerces.xni.QName element,
                        org.apache.xerces.xni.Augmentations augs)
                          throws java.lang.Exception

      Specified by:
        `endElement` in interface `XMLAssertHandler`
      Throws:
        `java.lang.Exception`

    - #### characters

          public void characters(org.apache.xerces.xni.XMLString text)

      Specified by:
        `characters` in interface `XMLAssertHandler`

    - #### comment

          public void comment(org.apache.xerces.xni.XMLString text)

      Specified by:
        `comment` in interface `XMLAssertHandler`

    - #### processingInstruction

          public void processingInstruction(java.lang.String target,
                                   org.apache.xerces.xni.XMLString data)

      Specified by:
        `processingInstruction` in interface `XMLAssertHandler`

    - #### setProperty

          public void setProperty(java.lang.String name,
                         java.lang.Object value)
                           throws java.lang.IllegalArgumentException

      Allows the user to set specific properties on the underlying implementation.
      Specified by:
        `setProperty` in interface `XMLAssertHandler`
      Parameters:
        `name` - name of property
        `value` - null means to remove property
      Throws:
        `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the property.

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)
                                       throws java.lang.IllegalArgumentException

      Allows the user to retrieve specific properties on the underlying implementation.
      Specified by:
        `getProperty` in interface `XMLAssertHandler`
      Parameters:
        `name` - The name of the property.
      Returns:
        value The value of the property.
      Throws:
        `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the property.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.